## tde-cmake 14.1.0

=== debian/changelog ===
tde-cmake (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Apr 2023 11:29:54 +0200

tde-cmake (4:14.1.0~pre-0debian10.0.0+0) buster; urgency=low

  * Move from common submodule to dependencies.

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 15:36:28 +0100

cmake-trinity (4:14.1.0~pre-0debian10.0.0+0) buster; urgency=low

  * Initial release as a standalone package.

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 May 2021 12:50:36 +0200

## tde-cmake 14.1.1

=== debian/changelog ===
tde-cmake (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 15 Oct 2023 15:08:47 +0200

## tde-cmake 14.1.2

=== debian/changelog ===
tde-cmake (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Apr 2024 10:15:41 +0200

## tde-cmake 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2021 Slávek Banko
#  slavek.banko (at) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

## Process only if it is built as a standalone package
if( "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}" )

##### general package setup #####################

  # building tde-cmake requires reading the minimum required version
  # from the source files, because there may be a different version
  # of tde-cmake already installed in the system. Trying to build
  # tde-cmake with a lower minimum version would not be allowed then.

  include( ${CMAKE_SOURCE_DIR}/modules/TDEVersion.cmake )
  cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
  project( tde-cmake-rules )


##### install TDE CMake files ###################

  file( GLOB_RECURSE _modules
        RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/modules/* )
  install( FILES ${_modules} DESTINATION ${CMAKE_ROOT}/Modules )

  file( GLOB_RECURSE _templates
        RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/templates/* )
  install( FILES ${_templates} DESTINATION ${CMAKE_ROOT}/Templates )

endif()

## tde-cmake 14.1.3

=== debian/changelog ===
tde-cmake (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Oct 2024 18:00:02 +0200

=== debian/control ===
Source: tde-cmake
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, cmake (>= 3.5~)
Standards-Version: 3.8.4

Package: tde-cmake
Architecture: all
Depends: cmake (>= ${CMake-Version2}~), cmake (<< ${CMake-Next-Version2}~), perl-base, libxml-parser-perl
Replaces: cmake-trinity (<< 4:14.1.0~)
Breaks: cmake-trinity (<< 4:14.1.0~)
Provides: cmake-trinity
Description: TDE CMake modules
 TDE uses its own set of modules and macros to simplify CMake rules.
 .
 This also includes the TDEL10n module that is used to generate and
 update templates for translations and the modified version of
 intltool-merge used to merge translations into desktop files.

## tde-cmake 14.1.4

=== debian/changelog ===
tde-cmake (4:14.1.4-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, cmake (>= 3.5~)
+Build-Depends: cdbs, debhelper (>= 10~), quilt, cmake (>= 3.10~)
 Standards-Version: 3.8.4
 
 Package: tde-cmake

## tde-cmake 14.1.5~pre1

=== debian/changelog ===
tde-cmake (4:14.1.5~pre1-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for da0068e1a5fa0e6e2d9b341c4305189ec38a3908
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Sep 2025 12:43:16 +0200

## tde-cmake 14.1.5

=== debian/changelog ===
tde-cmake (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 13:39:51 +0100

## tde-cmake 14.1.6~pre2

=== debian/changelog ===
tde-cmake (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 30054f8c56e4b92c1d3a93367ff3e877b98823bd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 01:37:37 +0100

## tde-cmake 14.1.6~pre4

=== debian/changelog ===
tde-cmake (4:14.1.6~pre4-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 8ae2b6f341fce183c3e32ad206c893d7fe25fda3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Dec 2025 11:16:48 +0100

## tde-cmake 14.1.6~pre8

=== debian/changelog ===
tde-cmake (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1b52ff1f18195979885b7015c774c3acd6bb9b9a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 23:00:17 +0100

## tde-cmake 14.1.6~pre9

=== debian/changelog ===
tde-cmake (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 941f650ce14b4b3374e8d8759701b87f53d7eec1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 12:38:30 +0100

## tde-cmake 14.1.6~pre11

=== debian/changelog ===
tde-cmake (4:14.1.6~pre11-0ubuntu25.10.3+1) questing; urgency=low

  * Automated git build for 9eda0282223ae45557fe944eaa7f126fe50e98a9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 14:53:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, cmake (>= 3.10~)
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, cmake (>= 3.10~)
 Standards-Version: 3.8.4
 
 Package: tde-cmake
@@ -10,7 +10,7 @@
 Depends: cmake (>= ${CMake-Version2}~), cmake (<< ${CMake-Next-Version2}~), perl-base, libxml-parser-perl
 Replaces: cmake-trinity (<< 4:14.1.0~)
 Breaks: cmake-trinity (<< 4:14.1.0~)
-Provides: cmake-trinity
+Provides: cmake-trinity (= ${source:Version})
 Description: TDE CMake modules
  TDE uses its own set of modules and macros to simplify CMake rules.
  .

## tde-cmake 14.2.0~pre26

=== debian/changelog ===
tde-cmake (4:14.2.0~pre26-0ubuntu25.10.0+9) questing; urgency=low

  * Automated git build for e1b441631c31d8ab9269bd44d1a992af6424ccdd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Sep 2025 11:48:21 +0200

## tde-cmake 14.2.0~pre27

=== debian/changelog ===
tde-cmake (4:14.2.0~pre27-0raspbian13.0.0+9) raspbian-trixie; urgency=low

  * Automated git build for 7329c5659231beb753e39f600f5ac2d6bef92e3f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 14:48:48 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

common-binary-indep::
	( set -e; \
	tmpf=`mktemp debian/cmake-versions.XXXXXX`; \
	perl debian/cdbs/cmake-versions.pl >$$tmpf; \
	for p in $(DEB_INDEP_PACKAGES); do \
	    cat $$tmpf >>debian/$$p.substvars; \
	done; \
	rm -f $$tmpf )

## tde-cmake 14.2.0~pre29

=== debian/changelog ===
tde-cmake (4:14.2.0~pre29-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 41fb0ff5d6c4602b15d012afdc1c02a54509192f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Dec 2025 02:22:08 +0100

## tde-cmake 14.2.0~pre33

=== CMakeLists.txt ===
#################################################
#
#  (C) 2021 Slávek Banko
#  slavek.banko (at) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### general package setup #####################

# building tde-cmake requires reading the minimum required version
# from the source files, because there may be a different version
# of tde-cmake already installed in the system. Trying to build
# tde-cmake with a lower minimum version would not be allowed then.

include( ${CMAKE_SOURCE_DIR}/modules/TDEVersion.cmake )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
project( tde-cmake-rules )


##### install TDE CMake files ###################

file( GLOB_RECURSE _modules
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
      ${CMAKE_CURRENT_SOURCE_DIR}/modules/* )
install( FILES ${_modules} DESTINATION ${CMAKE_ROOT}/Modules )

file( GLOB_RECURSE _templates
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
      ${CMAKE_CURRENT_SOURCE_DIR}/templates/* )
install( FILES ${_templates} DESTINATION ${CMAKE_ROOT}/Templates )

=== debian/changelog ===
tde-cmake (4:14.2.0~pre33-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 121212fa9f1618044b2544757efb2df35ef4c33b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 22:59:33 +0100

## tde-cmake 14.2.0~pre34

=== debian/changelog ===
tde-cmake (4:14.2.0~pre34-0ubuntu26.04.2+9~a) resolute; urgency=low

  * Automated git build for c25ffb3c894a2f9f5994960dd9b1c4c3aa5ea411
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 15 Feb 2026 16:08:10 +0100

## tde-cmake 14.2.0~pre36

=== debian/changelog ===
tde-cmake (4:14.2.0~pre36-0ubuntu26.04.3+10~a) resolute; urgency=low

  * Automated git build for 70811991ddbe46699c046ac2e715ae3494b97c60
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 14:53:41 +0100
